## org.hibernate.hql.internal.ast
Class QueryTranslatorImpl.JavaConstantConverter

    java.lang.Object
      org.hibernate.hql.internal.ast.QueryTranslatorImpl.JavaConstantConverter

All Implemented Interfaces:
  NodeTraverser.VisitationStrategy

Enclosing class:
  QueryTranslatorImpl

    public static class QueryTranslatorImpl.JavaConstantConverter

extends Object
implements NodeTraverser.VisitationStrategy

Constructor Summary
`QueryTranslatorImpl.JavaConstantConverter()`

Method Summary
`void` `visit(antlr.collections.AST node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryTranslatorImpl.JavaConstantConverter

    public QueryTranslatorImpl.JavaConstantConverter()

Method Detail

### visit

    public void visit(antlr.collections.AST node)

  Specified by:
    `visit` in interface `NodeTraverser.VisitationStrategy`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.